<option type="enum" id="opt/gutenprint-ijs.5.2-stp_laminate">
  <!-- A multilingual <comments> block can appear here, too;
       it should be treated as documentation for the user. -->
  <arg_longname>
   <en>Laminate Pattern</en>
  </arg_longname>
  <arg_shortname>
   <en>STP_Laminate</en><!-- backends only know <en> shortnames! -->
  </arg_shortname>
  <arg_execution>
   <arg_group>GutenprintPrinterFeaturesCommon</arg_group>
   <arg_order>1880</arg_order>
   <arg_spot>B</arg_spot>
   <arg_substitution />
   <arg_proto>STP_Laminate=%s,</arg_proto>
  </arg_execution>

  <constraints>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Olympus-P-440</printer><!-- gutenprint name: olympus-p440 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Coated</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Olympus-P-10</printer><!-- gutenprint name: olympus-p10 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Coated</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Sony-DPP-EX5</printer><!-- gutenprint name: sony-dppex5 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Glossy</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Sony-DPP-EX7</printer><!-- gutenprint name: sony-dppex7 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Glossy</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Sony-UP-DR100</printer><!-- gutenprint name: sony-updr100 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Glossy</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Sony-UP-DP10</printer><!-- gutenprint name: sony-updp10 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Glossy</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Olympus-P-11</printer><!-- gutenprint name: olympus-p11 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Coated</arg_defval>
    </constraint>
  </constraints>

  <enum_vals>
    <enum_val id='ev/gutenprint-ijs.5.2-Coated'>
      <ev_longname><en>Coated</en></ev_longname>
      <ev_shortname><en>Coated</en></ev_shortname>
      <ev_driverval>Coated</ev_driverval>
      <constraints>
        <!-- Assume the option doesn't apply... -->
        <constraint sense='false'>
          <driver>gutenprint-ijs.5.2</driver>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Olympus-P-440 == olympus-p440 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Olympus-P-440</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Olympus-P-10 == olympus-p10 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Olympus-P-10</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Olympus-P-11 == olympus-p11 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Olympus-P-11</printer>
        </constraint>
      </constraints>
    </enum_val>
    <enum_val id='ev/gutenprint-ijs.5.2-None'>
      <ev_longname><en>None</en></ev_longname>
      <ev_shortname><en>None</en></ev_shortname>
      <ev_driverval>None</ev_driverval>
      <constraints>
        <!-- Assume the option doesn't apply... -->
        <constraint sense='false'>
          <driver>gutenprint-ijs.5.2</driver>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Olympus-P-440 == olympus-p440 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Olympus-P-440</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Olympus-P-10 == olympus-p10 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Olympus-P-10</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Olympus-P-11 == olympus-p11 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Olympus-P-11</printer>
        </constraint>
      </constraints>
    </enum_val>
    <enum_val id='ev/gutenprint-ijs.5.2-Texture'>
      <ev_longname><en>Texture</en></ev_longname>
      <ev_shortname><en>Texture</en></ev_shortname>
      <ev_driverval>Texture</ev_driverval>
      <constraints>
        <!-- Assume the option doesn't apply... -->
        <constraint sense='false'>
          <driver>gutenprint-ijs.5.2</driver>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Sony-DPP-EX5 == sony-dppex5 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Sony-DPP-EX5</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Sony-DPP-EX7 == sony-dppex7 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Sony-DPP-EX7</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Sony-UP-DR100 == sony-updr100 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Sony-UP-DR100</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Sony-UP-DP10 == sony-updp10 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Sony-UP-DP10</printer>
        </constraint>
      </constraints>
    </enum_val>
    <enum_val id='ev/gutenprint-ijs.5.2-Glossy'>
      <ev_longname><en>Glossy</en></ev_longname>
      <ev_shortname><en>Glossy</en></ev_shortname>
      <ev_driverval>Glossy</ev_driverval>
      <constraints>
        <!-- Assume the option doesn't apply... -->
        <constraint sense='false'>
          <driver>gutenprint-ijs.5.2</driver>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Sony-DPP-EX5 == sony-dppex5 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Sony-DPP-EX5</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Sony-DPP-EX7 == sony-dppex7 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Sony-DPP-EX7</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Sony-UP-DR100 == sony-updr100 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Sony-UP-DR100</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Sony-UP-DP10 == sony-updp10 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Sony-UP-DP10</printer>
        </constraint>
      </constraints>
    </enum_val>
    <enum_val id='ev/gutenprint-ijs.5.2-Matte'>
      <ev_longname><en>Matte</en></ev_longname>
      <ev_shortname><en>Matte</en></ev_shortname>
      <ev_driverval>Matte</ev_driverval>
      <constraints>
        <!-- Assume the option doesn't apply... -->
        <constraint sense='false'>
          <driver>gutenprint-ijs.5.2</driver>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Sony-UP-DR100 == sony-updr100 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Sony-UP-DR100</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Sony-UP-DP10 == sony-updp10 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Sony-UP-DP10</printer>
        </constraint>
      </constraints>
    </enum_val>
  </enum_vals>


</option>
